EnableMBeanExport (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.context.annotation

## Annotation Type EnableMBeanExport

-     @Target(value=TYPE)
      @Retention(value=RUNTIME)
      @Documented
      @Import(value=MBeanExportConfiguration.class)
      public @interface EnableMBeanExport

  Enables default exporting of all standard `MBean`s from the Spring context, as well as well all `@ManagedResource` annotated beans.

  The resulting `MBeanExporter` bean is defined under the name "mbeanExporter". Alternatively, consider defining a custom `AnnotationMBeanExporter` bean explicitly.

  This annotation is modeled after and functionally equivalent to Spring XML's `<context:mbean-export/>` element.

  Since:
    3.2
  Author:
    Phillip Webb
  See Also:
    `MBeanExportConfiguration`

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `String` | `defaultDomain` The default domain to use when generating JMX ObjectNames.
    `RegistrationPolicy` | `registration` The policy to use when attempting to register an MBean under an `ObjectName` that already exists.
    `String` | `server` The bean name of the MBeanServer to which MBeans should be exported.

- - ### Element Detail

    - #### defaultDomain

          public abstract String defaultDomain

      The default domain to use when generating JMX ObjectNames.
      Default:
        ""

    - #### server

          public abstract String server

      The bean name of the MBeanServer to which MBeans should be exported. Default is to use the platform's default MBeanServer.
      Default:
        ""

    - #### registration

          public abstract RegistrationPolicy registration

      The policy to use when attempting to register an MBean under an `ObjectName` that already exists. Defaults to `RegistrationPolicy.FAIL_ON_EXISTING`.
      Default:
        org.springframework.jmx.support.RegistrationPolicy.FAIL_ON_EXISTING